Resource

Status Page SCIM

Manage SCIM auto-provisioning for your status page

The Status Page SCIM Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    statusPage
    Type
    Status Page
    Description

    Relation to Status Page Resource in which this object belongs

  • Name
    statusPageId
    Type
    Object IDRequired
    Description

    ID of your Status Page resource where this object belongs

  • Name
    name
    Type
    TextRequired
    Description

    Any friendly name for this SCIM configuration

  • Name
    description
    Type
    Long Text
    Description

    Friendly description to help you remember

  • Name
    bearerToken
    Type
    Long TextRequired
    Description

    Bearer token for SCIM authentication. Keep this secure.

  • Name
    autoProvisionUsers
    Type
    Boolean
    Description

    Automatically create status page users when they are added via SCIM

  • Name
    autoDeprovisionUsers
    Type
    Boolean
    Description

    Automatically remove status page users when they are removed via SCIM

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

GETorPOST/api/status-page-scim/get-list

List

This endpoint allows you to retrieve a paginated list of all your Status Page SCIM. By default, a maximum of ten Status Page SCIM are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/status-page-scim/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "bearerToken": true,
    "name": true,
    "projectId": true,
    "statusPageId": true,
    "_id": true
  },
  "query": {
    "bearerToken": "Example bearer token"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377d0360-28fe-11f1-b591-3fdcef396aba",
      "bearerToken": "Example bearer token",
      "name": "Example name",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "statusPageId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "377d0361-28fe-11f1-b591-3fdcef396aba",
      "bearerToken": "Example bearer token",
      "name": "Example name",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "statusPageId": "550e8400-e29b-41d4-a716-446655440000"
    },
    {
      "_id": "377d0362-28fe-11f1-b591-3fdcef396aba",
      "bearerToken": "Example bearer token",
      "name": "Example name",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "statusPageId": "550e8400-e29b-41d4-a716-446655440000"
    }
  ]
}
GETorPOST/api/status-page-scim/:id/get-item

Get item by ID

This endpoint allows you to retrieve Status Page SCIM by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/status-page-scim/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "bearerToken": true,
    "name": true,
    "projectId": true,
    "statusPageId": true,
    "_id": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "bearerToken": "Example bearer token",
  "name": "Example name",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "statusPageId": "550e8400-e29b-41d4-a716-446655440000"
}
POST/api/status-page-scim/count

Count

This endpoint allows you to retrieve the count of all your Status Page SCIM.

Optional Request Body

Count Request

POST
/api/status-page-scim/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "bearerToken": "Example bearer token"
  }
}

Response

{
  "count": 107
}
POST/api/status-page-scim

Create Status Page SCIM

This endpoint allows you to create a new object.

Create Request

POST
/api/status-page-scim
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "bearerToken": "Example bearer token",
    "name": "Example name",
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "statusPageId": "550e8400-e29b-41d4-a716-446655440000",
    "autoDeprovisionUsers": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "bearerToken": "Example bearer token",
  "name": "Example name",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "statusPageId": "550e8400-e29b-41d4-a716-446655440000"
}
PUT/api/status-page-scim/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-scim/:id/update-item
GET/api/status-page-scim/:id/update-item

Update Request

PUT
/api/status-page-scim/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "bearerToken": "Example bearer token",
    "name": "Example name",
    "autoDeprovisionUsers": true
  }
}

Response

{}
DELETE/api/status-page-scim/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-scim/:id/delete-item
GET/api/status-page-scim/:id/delete-item

Delete Request

DELETE
/api/status-page-scim/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Status Page SCIM

  • Project Owner
  • Project Admin
  • Project Member
  • Read Status Page SSO
  • Read All Project Resources

Create Permissions

Required to create Status Page SCIM

  • Project Owner
  • Project Admin
  • Create Status Page SSO

Update Permissions

Required to update Status Page SCIM

  • Project Owner
  • Project Admin
  • Edit Status Page SSO

Delete Permissions

Required to delete Status Page SCIM

  • Project Owner
  • Project Admin
  • Delete Status Page SSO